# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _

from cms.app_base import CMSApp
from cms.apphook_pool import apphook_pool


class IsolmantProduct(CMSApp):
    name = _("Isolmant Product")
    urls = ["isolmant.product.cms.product_urls"]


class IsolmantApplication(CMSApp):
    name = _("Isolmant Application")
    urls = ["isolmant.product.cms.application_urls"]


class IsolmantSolution(CMSApp):
    name = _("Isolmant Solution")
    urls = ["isolmant.product.cms.solution_urls"]


class IsolmantNews(CMSApp):
    name = _("Isolmant News")
    urls = ["isolmant.product.cms.news_urls"]
    app_name = 'news'


class IsolmantBlog(CMSApp):
    name = _("Isolmant Blog")
    urls = ["isolmant.product.cms.blog_urls"]
    app_name = 'blog'


class IsolmantReference(CMSApp):
    name = _("Isolmant References")
    urls = ["isolmant.product.cms.reference_urls"]
    app_name = 'reference'


apphook_pool.register(IsolmantProduct)
apphook_pool.register(IsolmantApplication)
apphook_pool.register(IsolmantSolution)
apphook_pool.register(IsolmantNews)
apphook_pool.register(IsolmantBlog)
apphook_pool.register(IsolmantReference)
