# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

product_menu_item = items.MenuItem(
    # GENERAL
    _('Product'), 
    reverse('admin:app_list', kwargs={'app_label': 'product'}),
    children=[
        items.MenuItem(
            _('Product'),
            '',
            children=[
                items.MenuItem(_('Add Product'), reverse('admin:product_product_add',)),
                items.MenuItem(_('Product List'), reverse('admin:product_product_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Others'),
            '',
            children=[
                items.MenuItem(_('Add Category'), reverse('admin:product_category_add',)),
                items.MenuItem(_('Category List'), reverse('admin:product_category_changelist',)),
                items.MenuItem(_('Add Subcategory'), reverse('admin:product_subcategory_add',)),
                items.MenuItem(_('Subcategory List'), reverse('admin:product_subcategory_changelist',)),
                items.MenuItem(_('Add Application'), reverse('admin:product_application_add',)),
                items.MenuItem(_('Application List'), reverse('admin:product_application_changelist',)),
                items.MenuItem(_('Add Solution'), reverse('admin:product_solution_add',)),
                items.MenuItem(_('Solution List'), reverse('admin:product_solution_changelist',)),
                items.MenuItem(_('Add Reference'), reverse('admin:product_reference_add',)),
                items.MenuItem(_('Reference List'), reverse('admin:product_reference_changelist',)),
                items.MenuItem(_('Add AdvancedFilter'), reverse('admin:product_advancedfilter_add',)),
                items.MenuItem(_('AdvancedFilter List'), reverse('admin:product_advancedfilter_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Media'),
            '',
            children=[
                items.MenuItem(_('Add Media'), reverse('admin:product_media_add',)),
                items.MenuItem(_('Media List'), reverse('admin:product_media_changelist',)),
            ]
        ),
    ]
)


register_menu(product_menu_item, 'isolmant.product')