# coding: utf-8
from django.conf import settings
from django.core.management.base import BaseCommand

from isolmant.product import models


class Command(BaseCommand):
    output_transaction = True

    def handle(self, *args, **options):
        fields = (
            settings.PRODUCT_PRODUCTVERSION_FORMAT_FIELDS +
            settings.PRODUCT_PRODUCTVERSION_FORMAT_FIELDS +
            settings.PRODUCT_PRODUCTVERSION_ACUSTIC_FIELDS +
            settings.PRODUCT_PRODUCTVERSION_MECHANICAL_FIELDS +
            settings.PRODUCT_PRODUCTVERSION_THERMAL_FIELDS +
            settings.PRODUCT_PRODUCTVERSION_PACKAGING_FIELDS
        )
        for field in fields:
            label = models.ProductVersion._meta.get_field(field).verbose_name
            models.ProductLabel(
                field_name=field,
                label=label
            ).save()
