# coding: utf-8

from django.core.management.base import BaseCommand
from django.core.files import File

from optparse import make_option

from jmb.core.admin.import_data import XlsFile

from isolmant.product import models


class ImportVersion(XlsFile):
    def do(self, row, kw, j):

        try:
            product = models.Product.objects.get(name__iexact=row.name)
            obj = models.ProductVersion()
            obj.product = product
            for field in obj._meta.fields:
                value = getattr(row, field.name, '')
                if value:
                    setattr(obj, field.name, value)
            obj.save()
        except models.Product.DoesNotExist:
            print row.name


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )

    output_transaction = True

    def handle(self, *args, **options):
        filename = options.get('filename')
        if filename is not None:
            file_to_import = File(open(filename, 'r'))
            import_data = ImportVersion(
                file_contents=file_to_import.read(), auto=True)
            import_data.read()
        else:
            print "please indicate file to import with -f <file_name>"
