# coding: utf-8

from django.core.management.base import BaseCommand
from django.core.files import File

from optparse import make_option
from django.utils.text import slugify

from jmb.core.admin.import_data import XlsFile

from isolmant.product import models

lorem_it = """
Al contrario di quanto si pensi, Lorem Ipsum non è semplicemente una sequenza
casuale di caratteri. Risale ad un classico della letteratura latina del 45 AC,
cosa che lo rende vecchio di 2000 anni. Richard McClintock, professore di latino
al Hampden-Sydney College in Virginia, ha ricercato una delle più oscure parole
latine, consectetur, da un passaggio del Lorem Ipsum e ha scoperto tra i vari
testi in cui è citata, la fonte da cui è tratto il testo, le sezioni 1.10.32 and
1.10.33 del "de Finibus Bonorum et Malorum" di Cicerone. Questo testo è un trattato
su teorie di etica, molto popolare nel Rinascimento. La prima riga del Lorem Ipsum,
"Lorem ipsum dolor sit amet..", è tratta da un passaggio della sezione 1.10.32.
"""

lorem_en = """
Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots
in a piece of classical Latin literature from 45 BC, making it over 2000 years old.
Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked
up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and
going through the cites of the word in classical literature, discovered the
undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de
Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by Cicero, written in
45 BC. This book is a treatise on the theory of ethics, very popular during the
Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes
from a line in section 1.10.32.
"""


class ImportStructure(XlsFile):
    def do(self, row, kw, j):
        try:
            models.Category.objects.get(name=row.Category)
        except models.Category.DoesNotExist:
            obj = models.Category()
            obj.name_it = row.Category
            obj.slug = slugify(row.Category)
            obj.description_it = lorem_it
            obj.description_en = lorem_en
            obj.color = 'ffffff'
            obj.save()

        try:
            models.Application.objects.get(name=row.Application)
        except models.Application.DoesNotExist:
            obj = models.Application()
            obj.name_it = row.Application
            obj.slug = slugify(row.Application)
            obj.description_it = lorem_it
            obj.description_en = lorem_en
            obj.category = models.Category.objects.get(name=row.Category)
            obj.save()

        try:
            models.SubCategory.objects.get(name=row.SubCategory)
        except models.SubCategory.DoesNotExist:
            obj = models.SubCategory()
            obj.name_it = row.SubCategory
            obj.slug = slugify(row.SubCategory)
            obj.description_it = lorem_it
            obj.description_en = lorem_en
            obj.application = models.Application.objects.get(name=row.Application)
            obj.save()

        try:
            models.Product.objects.get(name=row.Product)
        except models.Product.DoesNotExist:
            obj = models.Product()
            obj.name = row.Product
            obj.slug = slugify(row.Product)
            obj.description_it = lorem_it
            obj.description_en = lorem_en
            obj.abstract_it = lorem_it
            obj.abstract_en = lorem_en
            obj.areas_of_use_it = lorem_it
            obj.areas_of_use_en = lorem_en
            obj.subcategory = models.SubCategory.objects.get(name=row.SubCategory)
            obj.save()


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )

    output_transaction = True

    def handle(self, *args, **options):
        filename = options.get('filename')
        if filename is not None:
            file_to_import = File(open(filename, 'r'))
            import_data = ImportStructure(
                file_contents=file_to_import.read(), auto=True)
            import_data.read()
        else:
            print "please indicate file to import with -f <file_name>"
