# coding: utf-8

from django.core.management.base import BaseCommand
from django.core.files import File

from optparse import make_option
from django.utils.text import slugify

from jmb.core.admin.import_data import XlsFile

from isolmant.product import models


lorem_en = """
Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots
in a piece of classical Latin literature from 45 BC, making it over 2000 years old.
"""


class ImportSolution(XlsFile):
    def do(self, row, kw, j):

        try:
            prod = models.Product.objects.get(name__iexact=row.name)
            prod.description_it = row.description
            prod.abstract_it = row.abstract
            prod.areas_of_use_it = row.areas_of_use
            prod.instruction_it = row.instruction
            prod.save()
        except models.Product.DoesNotExist:
            print row.name


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )

    output_transaction = True

    def handle(self, *args, **options):
        filename = options.get('filename')
        if filename is not None:
            file_to_import = File(open(filename, 'r'))
            import_data = ImportSolution(
                file_contents=file_to_import.read(), auto=True)
            import_data.read()
        else:
            print "please indicate file to import with -f <file_name>"
