# coding: utf-8

from django.core.management.base import BaseCommand
from django.contrib.auth.models import Permission
from django.contrib.contenttypes.models import ContentType


class SetShowcasePermissions():
    blog_id = ContentType.objects.get(app_label="product", model="blog").id
    permissions_to_change = Permission.objects.filter(codename__icontains='blog')
    for permission in permissions_to_change:
        permission.content_type_id = blog_id
        permission.save()
    news_id = ContentType.objects.get(app_label="product", model="news").id
    permissions_to_change = Permission.objects.filter(codename__icontains='news')
    for permission in permissions_to_change:
        permission.content_type_id = news_id
        permission.save()


class Command(BaseCommand):
    output_transaction = True

    def handle(self, *args, **options):
            SetShowcasePermissions()
