# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import ckeditor.fields
import isolmant.product.models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('name_it', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('name_en', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(verbose_name='description')),
                ('description_it', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('description_en', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'application',
                'verbose_name_plural': 'applications',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('name_it', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('name_en', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(verbose_name='description')),
                ('description_it', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('description_en', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('color', models.CharField(max_length=6, verbose_name='color RGB')),
                ('logo', models.ImageField(upload_to=b'categories', verbose_name='logo')),
                ('creator', models.ForeignKey(related_name='product_category_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_category_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Media',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('typology', models.CharField(max_length=3, verbose_name='typology', choices=[(b'cat', 'catalogue'), (b'pho', 'photo'), (b'bro', 'brochure')])),
                ('media', models.FileField(upload_to=isolmant.product.models.get_upload_path, verbose_name='media')),
                ('categories', models.ManyToManyField(related_name='medias', verbose_name='categories', to='product.Category', blank=True)),
                ('creator', models.ForeignKey(related_name='product_media_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_media_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'product media',
                'verbose_name_plural': 'product media',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(verbose_name='description')),
                ('description_it', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('description_en', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('abstract', ckeditor.fields.RichTextField(verbose_name='abstract')),
                ('abstract_it', ckeditor.fields.RichTextField(null=True, verbose_name='abstract')),
                ('abstract_en', ckeditor.fields.RichTextField(null=True, verbose_name='abstract')),
                ('areas_of_use', ckeditor.fields.RichTextField(verbose_name='areas of use')),
                ('areas_of_use_it', ckeditor.fields.RichTextField(null=True, verbose_name='areas of use')),
                ('areas_of_use_en', ckeditor.fields.RichTextField(null=True, verbose_name='areas of use')),
                ('instruction', ckeditor.fields.RichTextField(verbose_name='instruction', blank=True)),
                ('instruction_it', ckeditor.fields.RichTextField(null=True, verbose_name='instruction', blank=True)),
                ('instruction_en', ckeditor.fields.RichTextField(null=True, verbose_name='instruction', blank=True)),
                ('is_accessory', models.BooleanField(default=False, verbose_name='is accessory')),
                ('accessories', models.ManyToManyField(related_name='products', verbose_name='accessories', to='product.Product', blank=True)),
                ('creator', models.ForeignKey(related_name='product_product_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_product_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('subcategory__application__category__name', 'subcategory__application__name', 'subcategory__name', 'name'),
                'verbose_name': 'product',
                'verbose_name_plural': 'products',
            },
        ),
        migrations.CreateModel(
            name='ProductVersion',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('slug', models.SlugField(max_length=255, null=True, verbose_name='slug', blank=True)),
                ('thickness', models.DecimalField(null=True, verbose_name='thickness in mm', max_digits=6, decimal_places=0, blank=True)),
                ('format_width', models.DecimalField(null=True, verbose_name='width in cm', max_digits=6, decimal_places=2, blank=True)),
                ('format_length', models.DecimalField(null=True, verbose_name='length in cm', max_digits=6, decimal_places=2, blank=True)),
                ('format_diameter', models.DecimalField(null=True, verbose_name='diameter in cm', max_digits=6, decimal_places=2, blank=True)),
                ('format_type', models.CharField(blank=True, max_length=1, verbose_name='format type', choices=[(b'S', 'Sheet'), (b'R', 'Roll'), (b'P', 'Panel')])),
                ('format_weight', models.DecimalField(null=True, verbose_name='weight in kg/m^2', max_digits=6, decimal_places=2, blank=True)),
                ('packaging_type', models.CharField(blank=True, max_length=2, verbose_name='packaging type', choices=[(b'IR', 'Individual roll'), (b'BX', 'Box'), (b'PL', 'Pallet'), (b'HP', 'Half-Pallet')])),
                ('packaging_height', models.DecimalField(null=True, verbose_name='packaging height in cm', max_digits=10, decimal_places=2, blank=True)),
                ('packaging_width', models.DecimalField(null=True, verbose_name='packaging width in cm', max_digits=10, decimal_places=2, blank=True)),
                ('packaging_length', models.DecimalField(null=True, verbose_name='packaging length in cm', max_digits=10, decimal_places=2, blank=True)),
                ('packaging_quantity', models.DecimalField(decimal_places=2, default=1, max_digits=10, blank=True, null=True, verbose_name='packaging quantity')),
                ('packaging_unity', models.CharField(blank=True, max_length=2, verbose_name='unity of measurement for packaging quantity', choices=[(b'Pc', 'Pieces')])),
                ('creep', models.CharField(max_length=255, verbose_name='creep', blank=True)),
                ('dynamic_rigidity', models.DecimalField(null=True, verbose_name='dynamic rigidity in MN/m^3', max_digits=10, decimal_places=2, blank=True)),
                ('deformation', models.CharField(max_length=255, verbose_name='deformation under load', blank=True)),
                ('compressibility', models.CharField(max_length=255, verbose_name='compressibility', blank=True)),
                ('compression_strain', models.CharField(max_length=255, verbose_name='compression strain', blank=True)),
                ('density', models.DecimalField(null=True, verbose_name='density in kg/m^3', max_digits=10, decimal_places=2, blank=True)),
                ('long_term_behaviour', models.CharField(max_length=255, verbose_name='long term behaviour', blank=True)),
                ('impact_resistance', models.DecimalField(null=True, verbose_name='impact resistance in mm', max_digits=10, decimal_places=2, blank=True)),
                ('stress_curve', models.CharField(max_length=255, verbose_name='Stress-Strain curve', blank=True)),
                ('breaking_strength', models.DecimalField(null=True, verbose_name='breaking strength', max_digits=10, decimal_places=2, blank=True)),
                ('compressive_force', models.CharField(max_length=255, verbose_name='Stress-Strain curve', blank=True)),
                ('thermal_resistance', models.DecimalField(null=True, verbose_name='thermal resistance in m^2K/W', max_digits=6, decimal_places=4, blank=True)),
                ('thermal_conductivity', models.DecimalField(null=True, verbose_name='thermal conductivity in W/mK', max_digits=6, decimal_places=4, blank=True)),
                ('specific_heat', models.DecimalField(null=True, verbose_name='specific heat in j/kgK', max_digits=10, decimal_places=2, blank=True)),
                ('reaction_to_fire', models.CharField(max_length=255, verbose_name='reaction to fire', blank=True)),
                ('equivalent_air_thickness', models.DecimalField(null=True, verbose_name='equivalent air thickness in m', max_digits=6, decimal_places=4, blank=True)),
                ('vapour_permeability', models.DecimalField(null=True, verbose_name='vapour permeability in mi', max_digits=10, decimal_places=2, blank=True)),
                ('heat_transfer_coefficient', models.DecimalField(null=True, verbose_name='heat transfer coefficient in W^2K', max_digits=6, decimal_places=4, blank=True)),
                ('noise_reduction', models.DecimalField(null=True, verbose_name='impact noise reduction in dB', max_digits=5, decimal_places=2, blank=True)),
                ('drum_sound_reduction', models.DecimalField(null=True, verbose_name='drum sound reduction in sone', max_digits=5, decimal_places=2, blank=True)),
                ('soundproofing_capacity', models.DecimalField(null=True, verbose_name='soundproofing capacity in dB', max_digits=5, decimal_places=2, blank=True)),
                ('creator', models.ForeignKey(related_name='product_productversion_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_productversion_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('product', models.ForeignKey(related_name='versions', verbose_name='product', to='product.Product')),
            ],
            options={
                'ordering': ('product__subcategory__application__category__name', 'product__subcategory__name', 'product__name', 'thickness'),
                'verbose_name': 'product version',
                'verbose_name_plural': 'product versions',
            },
        ),
        migrations.CreateModel(
            name='Solution',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('name_it', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('name_en', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(verbose_name='description')),
                ('description_it', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('description_en', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('application', models.ForeignKey(related_name='solutions', to='product.Application')),
                ('creator', models.ForeignKey(related_name='product_solution_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_solution_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('products', models.ManyToManyField(related_name='solution', verbose_name='product', to='product.Product')),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'solution',
                'verbose_name_plural': 'solutions',
            },
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('name_it', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('name_en', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(verbose_name='description')),
                ('description_it', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('description_en', ckeditor.fields.RichTextField(null=True, verbose_name='description')),
                ('application', models.ForeignKey(related_name='subcategories', to='product.Application')),
                ('creator', models.ForeignKey(related_name='product_subcategory_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_subcategory_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'subcategory',
                'verbose_name_plural': 'subcategories',
            },
        ),
        migrations.AddField(
            model_name='product',
            name='subcategory',
            field=models.ForeignKey(related_name='products', verbose_name='subcategory', to='product.SubCategory'),
        ),
        migrations.AddField(
            model_name='media',
            name='products',
            field=models.ManyToManyField(related_name='medias', verbose_name='products', to='product.Product', blank=True),
        ),
        migrations.AddField(
            model_name='media',
            name='subcategories',
            field=models.ManyToManyField(related_name='medias', verbose_name='subcategories', to='product.SubCategory', blank=True),
        ),
        migrations.AddField(
            model_name='application',
            name='category',
            field=models.ForeignKey(related_name='applications', to='product.Category'),
        ),
        migrations.AddField(
            model_name='application',
            name='creator',
            field=models.ForeignKey(related_name='product_application_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AddField(
            model_name='application',
            name='last_modifier',
            field=models.ForeignKey(related_name='product_application_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
    ]
