# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0002_auto_20150708_1117'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdvancedFilter',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('filter_type', models.CharField(max_length=3, verbose_name='filter type', choices=[(b'rng', 'range'), (b'boo', 'boolean')])),
                ('attr', models.CharField(max_length=255, verbose_name='filtering attribute')),
                ('lower', models.DecimalField(null=True, verbose_name='lower', max_digits=16, decimal_places=6, blank=True)),
                ('higher', models.DecimalField(null=True, verbose_name='higher', max_digits=16, decimal_places=6, blank=True)),
                ('category', models.ForeignKey(related_name='advanced_filters', verbose_name='category', to='product.Category')),
                ('creator', models.ForeignKey(related_name='product_advancedfilter_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_advancedfilter_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'advanced filter',
                'verbose_name_plural': 'advanced filters',
            },
        ),
    ]
