# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings
import ckeditor.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0005_auto_20150727_1008'),
    ]

    operations = [
        migrations.CreateModel(
            name='Reference',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('meta_description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='keywords', blank=True)),
                ('page_title', models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('abstract', ckeditor.fields.RichTextField(verbose_name='abstract')),
                ('description', ckeditor.fields.RichTextField(verbose_name='description')),
                ('creator', models.ForeignKey(related_name='product_reference_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_reference_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'name'),
                'verbose_name': 'reference',
                'verbose_name_plural': 'references',
            },
        ),
        migrations.AlterModelOptions(
            name='application',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'application', 'verbose_name_plural': 'applications'},
        ),
        migrations.AlterModelOptions(
            name='category',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'category', 'verbose_name_plural': 'categories'},
        ),
        migrations.AlterModelOptions(
            name='product',
            options={'ordering': ('ordering', 'subcategory__application__category__name', 'subcategory__application__name', 'subcategory__name', 'name'), 'verbose_name': 'product', 'verbose_name_plural': 'products'},
        ),
        migrations.AlterModelOptions(
            name='productversion',
            options={'ordering': ('ordering', 'product__subcategory__application__category__name', 'product__subcategory__name', 'product__name', 'thickness'), 'verbose_name': 'product version', 'verbose_name_plural': 'product versions'},
        ),
        migrations.AlterModelOptions(
            name='solution',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'solution', 'verbose_name_plural': 'solutions'},
        ),
        migrations.AlterModelOptions(
            name='subcategory',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'subcategory', 'verbose_name_plural': 'subcategories'},
        ),
        migrations.AddField(
            model_name='productversion',
            name='acoustic_performance_of_small_elements',
            field=models.CharField(max_length=255, verbose_name='Acoustic performance of small elements', blank=True),
        ),
        migrations.AddField(
            model_name='productversion',
            name='punctual_conformability',
            field=models.DecimalField(null=True, verbose_name='punctual conformability', max_digits=10, decimal_places=2, blank=True),
        ),
        migrations.AddField(
            model_name='productversion',
            name='sound_absorption',
            field=models.CharField(max_length=255, verbose_name='sound absorption', blank=True),
        ),
        migrations.AddField(
            model_name='productversion',
            name='weight',
            field=models.DecimalField(null=True, verbose_name='weight (kg*m2)', max_digits=10, decimal_places=2, blank=True),
        ),
        migrations.AlterField(
            model_name='productversion',
            name='format_length',
            field=models.DecimalField(null=True, verbose_name='length in m', max_digits=10, decimal_places=2, blank=True),
        ),
        migrations.AlterField(
            model_name='productversion',
            name='format_width',
            field=models.DecimalField(null=True, verbose_name='width in m', max_digits=10, decimal_places=2, blank=True),
        ),
        migrations.AlterField(
            model_name='productversion',
            name='thickness',
            field=models.DecimalField(null=True, verbose_name='thickness in mm', max_digits=10, decimal_places=2, blank=True),
        ),
        migrations.AddField(
            model_name='reference',
            name='products',
            field=models.ManyToManyField(related_name='references', verbose_name='product', to='product.Product'),
        ),
        migrations.AddField(
            model_name='media',
            name='reference',
            field=models.ManyToManyField(related_name='medias', verbose_name='references', to='product.Reference', blank=True),
        ),
    ]
