# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0012_auto_20150607_2207'),
        ('showcase', '0003_auto_20150915_0907'),
        ('product', '0022_auto_20151001_1345'),
    ]

    operations = [
        migrations.CreateModel(
            name='FilterSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('status', models.BooleanField(default=True, help_text='if not checked, plugin content will not be rendered', verbose_name='Active')),
                ('template', models.CharField(default=b'product/cms_plugins/category_filter.html', max_length=255, verbose_name='template', choices=[(b'product/cms_plugins/category_filter.html', 'Category Filter Template'), (b'product/cms_plugins/subcategory_filter.html', 'SubCategory Filter Template'), (b'product/cms_plugins/application_filter.html', 'Application Filter Template')])),
                ('model_class', models.CharField(default=b'isolmant.product.models.Category', max_length=255, verbose_name='model class', choices=[(b'isolmant.product.models.Category', 'Category Class'), (b'isolmant.product.models.SubCategory', 'SubCategory Class'), (b'isolmant.product.models.Application', 'Application Class')])),
            ],
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.CreateModel(
            name='ListSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('status', models.BooleanField(default=True, help_text='if not checked, plugin content will not be rendered', verbose_name='Active')),
                ('template', models.CharField(default=b'product/cms_plugins/product_list.html', max_length=255, verbose_name='template', choices=[(b'product/cms_plugins/product_list.html', 'Product List Template'), (b'product/cms_plugins/solution_list.html', 'Solution List Template'), (b'product/cms_plugins/download_list.html', 'Download List Template'), (b'product/cms_plugins/news_list.html', 'News List Template')])),
                ('model_class', models.CharField(default=b'isolmant.product.models.Product', max_length=255, verbose_name='model class', choices=[(b'isolmant.product.models.Product', 'Product Class'), (b'isolmant.product.models.Solution', 'Solution Class'), (b'isolmant.product.models.DownloadMedia', 'DownloadMedia Class'), (b'isolmant.product.models.News', 'News Class')])),
            ],
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.CreateModel(
            name='DownloadMedia',
            fields=[
            ],
            options={
                'proxy': True,
            },
            bases=('product.media',),
        ),
        migrations.CreateModel(
            name='News',
            fields=[
            ],
            options={
                'proxy': True,
            },
            bases=('showcase.item',),
        ),
        migrations.AlterModelOptions(
            name='advancedfilter',
            options={'ordering': ('category__ordering', 'category__name', 'ordering', 'label'), 'verbose_name': 'advanced filter', 'verbose_name_plural': 'advanced filters'},
        ),
        migrations.AlterModelOptions(
            name='media',
            options={'ordering': ('ordering', 'typology', 'title'), 'verbose_name': 'product media', 'verbose_name_plural': 'product media'},
        ),
        migrations.AlterModelOptions(
            name='subcategory',
            options={'ordering': ('application__category__ordering', 'application__category__name', 'application__ordering', 'application__name', 'ordering', 'name'), 'verbose_name': 'subcategory', 'verbose_name_plural': 'subcategories'},
        ),
        migrations.AlterField(
            model_name='media',
            name='typology',
            field=models.CharField(max_length=3, verbose_name='typology', choices=[(b'cat', 'catalogue'), (b'pho', 'photo'), (b'bro', 'brochure'), (b'vid', 'video'), (b'tcp', 'technical paper'), (b'crt', 'certificate'), (b'lst', 'price list')]),
        ),
    ]
