# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import ckeditor.fields


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0012_auto_20150607_2207'),
        ('product', '0037_gallery_galleryimage'),
    ]

    operations = [
        migrations.CreateModel(
            name='GallerySettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('status', models.BooleanField(default=True, help_text='if not checked, plugin content will not be rendered', verbose_name='Active')),
                ('allow_fullscreen', models.CharField(help_text='check to allow fullscreen', max_length=30, verbose_name='allow fullscreen', choices=[(b'false', 'false'), (b'true', 'true'), (b'native', 'native')])),
                ('hash', models.BooleanField(verbose_name='hash')),
                ('loop', models.BooleanField(verbose_name='loop')),
                ('thumbnails', models.BooleanField(verbose_name='thumbnails')),
                ('autoplay', models.IntegerField(default=0, help_text='Second for slide autoplay. If 0 disables autoplay.', verbose_name='autoplay')),
                ('fit', models.CharField(help_text='how to fit image', max_length=30, verbose_name='fit', choices=[(b'contain', 'contain'), (b'cover', 'cover'), (b'scaledown', 'scaledown'), (b'none', 'none')])),
            ],
            options={
                'verbose_name': 'Gallery Setting',
            },
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.AlterField(
            model_name='gallery',
            name='description',
            field=ckeditor.fields.RichTextField(verbose_name='description', blank=True),
        ),
        migrations.AddField(
            model_name='gallerysettings',
            name='gallery',
            field=models.ForeignKey(to='product.Gallery'),
        ),
    ]
