# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0043_auto_20151223_1234'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProductLabel',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('field_name', models.CharField(max_length=255, verbose_name='field name', db_index=True)),
                ('label', models.TextField(verbose_name='label', blank=True)),
                ('label_it', models.TextField(null=True, verbose_name='label', blank=True)),
                ('label_en', models.TextField(null=True, verbose_name='label', blank=True)),
                ('creator', models.ForeignKey(related_name='product_productlabel_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_productlabel_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('field_name',),
                'verbose_name': 'Product label',
                'verbose_name_plural': 'Product labels',
            },
        ),
    ]
