# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import image_cropping.fields


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0012_auto_20150607_2207'),
        ('product', '0047_auto_20170913_1510'),
    ]

    operations = [
        migrations.CreateModel(
            name='LinkItem',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('link', models.URLField(verbose_name='link', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
            ],
            options={
                'ordering': ('ordering', 'title'),
            },
        ),
        migrations.CreateModel(
            name='SliderItem',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('subtitle', models.CharField(max_length=255, verbose_name='subtitle')),
                ('image', models.ImageField(upload_to=b'slides', verbose_name='image')),
                (b'cropping', image_cropping.fields.ImageRatioField(b'image', '1200x600', hide_image_field=False, size_warning=False, allow_fullsize=False, free_crop=True, adapt_rotation=False, help_text=None, verbose_name='cropping')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('links', models.ManyToManyField(related_name='slides', verbose_name='links', to='product.LinkItem')),
            ],
            options={
                'ordering': ('ordering', 'title'),
            },
        ),
        migrations.CreateModel(
            name='SliderSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('status', models.BooleanField(default=True, help_text='if not checked, plugin content will not be rendered', verbose_name='Active')),
                ('autoplay', models.IntegerField(default=0, help_text='Second for slide autoplay. If 0 disables autoplay.', verbose_name='autoplay')),
                ('fit', models.CharField(help_text='how to fit image', max_length=30, verbose_name='fit', choices=[(b'contain', 'contain'), (b'cover', 'cover'), (b'scaledown', 'scaledown'), (b'none', 'none')])),
            ],
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.AddField(
            model_name='slideritem',
            name='plugin',
            field=models.ForeignKey(related_name='slider_items', verbose_name='plugin', to='product.SliderSettings'),
        ),
    ]
