# coding: utf-8

from django.utils.translation import ugettext_lazy as _

PRODUCT_PRODUCT_FORMAT_TYPE_CHOICES = (
    ('S', _('Sheet')),
    ('R', _('Roll')),
    ('P', _('Panel')),
    ('B', _('Band')),
    ('C', _('Coil')),
)

PRODUCT_PRODUCT_APPLICATION_CHOICES = (
    ('W', _('Wall')),
    ('F', _('Floor')),
)

PRODUCT_PRODUCT_PACKAGING_TYPE_CHOICES = (
    ('IR', _('Individual roll')),
    ('BX', _('Box')),
    ('PL', _('Pallet')),
    ('HP', _('Half-Pallet')),
    ('SA', _('Sack')),
    ('CO', _('Coil')),
    ('PA', _('Package'))
)

PRODUCT_PRODUCT_PACKAGING_UNITY_CHOICES = (
    ('PC', _('Pieces')),
    ('KG', _('Kilos')),
)

#: setting for product media typology choices
PRODUCT_MEDIA_TYPOLOGY_CHOICES = (
    ('cat', _('catalogue'),),
    ('pho', _('photo'),),
    ('bro', _('brochure'),),
    ('vid', _('video'),),
    ('tcp', _('technical paper'),),
    ('tsh', _('technical sheet'),),
    ('crt', _('certificate'),),
    ('lst', _('price list'),),
    ('tut', _('BIM'),),
    ('dwn', _('download'),),
    ('leg', _('legislation'),),
    ('pre', _('press release'),),
)

PRODUCT_MEDIA_TYPOLOGY_DICT = dict(
    catalogue='cat',
    photo='pho',
    brochure='bro',
    video='vid',
    technical_paper='tcp',
    technical_sheet='tsh',
    certificate='crt',
    price_list='lst',
    tutorial='tut',
    download='dwn',
    legislation='leg',
    press_release='pre'
)

PRODUCT_ADVANCEDFILTER_FILTERTYPE_CHOICES = (
    ('rng', _('range'),),
    ('boo', _('boolean'),),
)

PRODUCT_ADVANCEDFILTER_FILTERTYPE_DICT = dict(
    range='rng',
    boolean='boo'
)

PRODUCT_PRODUCTVERSION_FORMAT_FIELDS = (
    'product',
    'thickness',
)

PRODUCT_PRODUCTVERSION_ACUSTIC_FIELDS = (
    'noise_reduction', 'drum_sound_reduction',
    'soundproofing_capacity', 'sound_absorption',
    'acoustic_performance_of_small_elements'
)

PRODUCT_PRODUCTVERSION_MECHANICAL_FIELDS = (
    'dynamic_rigidity', 'deformation',
    'compressibility', 'compression_strain',
    'density', 'long_term_behaviour',
    'impact_resistance', 'stress_curve',
    'breaking_strength',
    'weight', 'punctual_conformability'
)

PRODUCT_PRODUCTVERSION_THERMAL_FIELDS = (
    'thermal_resistance', 'thermal_conductivity',
    'specific_heat', 'reaction_to_fire',
    'equivalent_air_thickness', 'vapour_permeability',
    'heat_transfer_coefficient',
)

PRODUCT_PRODUCTVERSION_PACKAGING_FIELDS = (
    'packaging_type', 'packaging_height',
    'packaging_width', 'packaging_length',
    'packaging_quantity', 'packaging_unity',
    'format_length',
    'format_width', 'format_diameter',
    'format_type',
)

#: CMS settings
PRODUCT_CMSPLUGIN_FILTER_TEMPLATES = (
    ('product/cms_plugins/category_filter.html', _('Category Filter Template'),),
    ('product/cms_plugins/subcategory_filter.html', _('SubCategory Filter Template'),),
    ('product/cms_plugins/application_filter.html', _('Application Filter Template'),),
    ('product/cms_plugins/advanced_filter.html', _('Product Advanced Filter Template'),),
    ('product/cms_plugins/solution_filter.html', _('Solution Filter Template'),),
    ('product/cms_plugins/region_filter.html', _('Region Filter Template'),),
    ('product/cms_plugins/agent_typology_filter.html', _('Agent Typology Filter Template'),),
    ('product/cms_plugins/download_filter.html', _('Download Filter Template'),),
    ('product/cms_plugins/string_filter.html', _('String Filter Template'),),
    ('product/cms_plugins/reference_category_filter.html', _('Reference Category Filter Template'),),
)

PRODUCT_CMSPLUGIN_FILTER_MODEL_CLASSES = (
    ('isolmant.product.models.Category', _('Category Class'),),
    ('isolmant.product.models.SubCategory', _('SubCategory Class'),),
    ('isolmant.product.models.Application', _('Application Class'),),
    ('isolmant.organisation.models.Region', _('Region Class'),),
    ('isolmant.product.models.ReferenceCategory', _('Reference Category Class'),),
)

PRODUCT_CMSPLUGIN_LIST_TEMPLATES = (
    ('product/cms_plugins/product_list.html', _('Product List Template'),),
    ('product/cms_plugins/solution_list.html', _('Solution List Template'),),
    ('product/cms_plugins/download_list.html', _('Download List Template'),),
    ('product/cms_plugins/video_list.html', _('Video List Template'),),
    ('product/cms_plugins/reference_list.html', _('Reference List Template'),),
    ('product/cms_plugins/news_list.html', _('News List Template'),),
    ('product/cms_plugins/blog_list.html', _('Blog List Template'),),
    ('product/cms_plugins/press_release_list.html', _('Press Release List Template'),),
    ('product/cms_plugins/agent_list.html', _('Agent List Template'),),
    ('product/cms_plugins/press_release_list.html', _('Convention List Template'),),
    ('product/cms_plugins/press_release_list.html', _('Course List Template'),),
)

PRODUCT_CMSPLUGIN_LIST_MODEL_CLASSES = (
    ('isolmant.product.models.Product', _('Product Class'),),
    ('isolmant.product.models.Solution', _('Solution Class'),),
    ('isolmant.product.models.DownloadMedia', _('DownloadMedia Class'),),
    ('isolmant.product.models.TechnicalBrochureMedia', _('TechnicalBrochureMedia Class'),),
    ('isolmant.product.models.VideoMedia', _('VideoMedia Class'),),
    ('isolmant.product.models.StandardMedia', _('StandardMedia Class'),),
    ('isolmant.product.models.TutorialMedia', _('TutorialMedia Class'),),
    ('isolmant.product.models.Press', _('Press Class'),),
    ('isolmant.product.models.News', _('News Class'),),
    ('isolmant.product.models.Blog', _('Blog Class'),),
    ('isolmant.product.models.CaseStudy', _('CaseStudy Class'),),
    ('isolmant.product.models.Reference', _('Reference Class'),),
    ('isolmant.product.models.LegislationMedia', _('LegislationMedia Class'),),
    ('isolmant.organisation.models.Agent', _('Agent Class'),),
    ('isolmant.organisation.models.BuildingAgent', _('Building Agent Class'),),
    ('isolmant.organisation.models.ParquetAgent', _('Parquet Agent Class'),),
    ('isolmant.product.models.Convention', _('Convention Class'),),
    ('isolmant.product.models.Course', _('Course Class'),),
)

PRODUCT_CMSPLUGIN_MENU_BUTTON_TEMPLATES = (
    ('product/cms_plugins/squared_menu_button.html', _('Squared menu button Template'),),
)

PRODUCT_GALLERYIMAGE_CROPPING_RATIO = '400x200'

PRODUCT_GALLERYIMAGE_CROPPING_RATIO_FULL = '1200x600'

PRODUCT_GALLERYIMAGE_THUMBNAIL_RATIO = '64x64'

PRODUCT_CMSPLUGIN_GALLERY_ALLOWFULLSCREEN = (
    ('false', _(u'false')),
    ('true', _(u'true')),
    ('native', _(u'native')),
)

PRODUCT_CMSPLUGIN_GALLERY_FIT = (
    ('contain', _(u'contain')),
    ('cover', _(u'cover')),
    ('scaledown', _(u'scaledown')),
    ('none', _(u'none')),
)
